Package fr.gouv.vitam.storage.engine.common.model

# Class TapeReadRequestReferentialEntity

java.lang.Object
fr.gouv.vitam.storage.engine.common.model.TapeReadRequestReferentialEntity

public class TapeReadRequestReferentialEntity extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONTAINER_NAME`
  `static final String`
  `CREATE_DATE`
  `static final String`
  `EXPIRE_DATE`
  `static final String`
  `FILES`
  `static final String`
  `ID`
  `static final String`
  `IS_COMPLETED`
  `static final String`
  `IS_EXPIRED`
  `static final String`
  `TAR_LOCATIONS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TapeReadRequestReferentialEntity()`
  `TapeReadRequestReferentialEntity(String requestId, String containerName, Map<String,TarLocation> tarLocations, List<FileInTape> files)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContainerName()`
  `String`
  `getCreationDate()`
  `String`
  `getExpireDate()`
  `List<FileInTape>`
  `getFiles()`
  `String`
  `getRequestId()`
  `Map<String,TarLocation>`
  `getTarLocations()`
  `boolean`
  `isCompleted()`
  `Boolean`
  `isExpired()`
  `void`
  `setContainerName(String containerName)`
  `void`
  `setCreationDate(String creationDate)`
  `void`
  `setExpireDate(String expireDate)`
  `void`
  `setFiles(List<FileInTape> files)`
  `void`
  `setRequestId(String requestId)`
  `void`
  `setTarLocations(Map<String,TarLocation> tarLocations)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      - Constant Field Values

  - ### TAR_LOCATIONS

    public static final String TAR_LOCATIONS
    See Also:
      - Constant Field Values

  - ### FILES

    public static final String FILES
    See Also:
      - Constant Field Values

  - ### CONTAINER_NAME

    public static final String CONTAINER_NAME
    See Also:
      - Constant Field Values

  - ### CREATE_DATE

    public static final String CREATE_DATE
    See Also:
      - Constant Field Values

  - ### EXPIRE_DATE

    public static final String EXPIRE_DATE
    See Also:
      - Constant Field Values

  - ### IS_COMPLETED

    public static final String IS_COMPLETED
    See Also:
      - Constant Field Values

  - ### IS_EXPIRED

    public static final String IS_EXPIRED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TapeReadRequestReferentialEntity

    public TapeReadRequestReferentialEntity()

  - ### TapeReadRequestReferentialEntity

    public TapeReadRequestReferentialEntity(String requestId, String containerName, Map<String,TarLocation> tarLocations, List<FileInTape> files)

- ## Method Details

  - ### getRequestId

    public String getRequestId()

  - ### setRequestId

    public void setRequestId(String requestId)

  - ### getContainerName

    public String getContainerName()

  - ### setContainerName

    public void setContainerName(String containerName)

  - ### getTarLocations

    public Map<String,TarLocation> getTarLocations()

  - ### setTarLocations

    public void setTarLocations(Map<String,TarLocation> tarLocations)

  - ### getFiles

    public List<FileInTape> getFiles()

  - ### setFiles

    public void setFiles(List<FileInTape> files)

  - ### getCreationDate

    public String getCreationDate()

  - ### setCreationDate

    public void setCreationDate(String creationDate)

  - ### getExpireDate

    public String getExpireDate()

  - ### setExpireDate

    public void setExpireDate(String expireDate)

  - ### isExpired

    public Boolean isExpired()

  - ### isCompleted

    public boolean isCompleted()